Bug 1020493 - Disable live-storage-migration in qemu-kvm (migrate -b/-i)
Disable live-storage-migration in qemu-kvm (migrate -b/-i)
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jeff Cody
Virtualization Bugs
:
Depends On:
Blocks: 1020495 1022392
  Show dependency treegraph
 
Reported: 2013-10-17 14:53 EDT by Ademar Reis
Modified: 2013-11-22 16:14 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1020495 1022392 (view as bug list)
Environment:
Last Closed: 2013-11-22 16:14:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ademar Reis 2013-10-17 14:53:28 EDT
Via QMP, migrate -b (and -i) is available in our RHEL-6.x packages, but this option is not supported and was introduced by accident. The proper way to migrate a VM without shared storage is using drive_mirror and NBD, as supported in the -rhev flavor of QEMU.

virsh migrate --live --copy-storage-{all,inc} currently calls migrate -b in RHEL6.x and apparently it automatically calls block_stream if it's available (for example, in RHEV). This BZ will be cloned against libvirt to make sure these options are properly handled after the removal of migrate -b.
Comment 1 Jiri Denemark 2013-10-18 08:40:03 EDT
Please note, that blindly removing blk and inc arguments of migrate QMP command is not going to work well with libvirt. Libvirt always sets these arguments (to either false or true). If you really have to remove this functionality, reporting a suitable error when any of those arguments are true would be the best solution from libvirt's point of view.

Note You need to log in before you can comment on or make changes to this bug.